Subject: bug#19170: 25.0.50; enhancement request: `compare-windows' use across frames

From: Drew Adams <[email-masked]>
Date: Fri, 28 Nov 2014 07:31:05 -0800 (PST)

>  > There are still open questions about this new variable, e.g.:
>  > what should be recorded in `last-selected-window' in case of
>  > `C-x 0' (`delete-window') when the last window is deleted?
> 
> You mean when the window referenced by `last-selected-window' is
> deleted?  The one returned by (get-mru-window t t t) I presume.  In
> any case `window-use-time' allows to order all windows by the time
> when they were selected.

That (too) sounds good.  But maybe (get-mru-window 0 t t) is better.
Or (get-mru-window 'visible t t).  I'm not that familiar with use
of frames in terminal mode, so it's not clear to me what the
restriction of these to "the current terminal" entails.  That
restriction is not mentioned in regard to an ALL-FRAMES value of `t'.

I wasn't aware of (or forgot about) `window-use-time'.